name: Build Linux x64

on:
  push:
    branches:
      #- main

jobs:
  build-linux-x64:
    runs-on: [self-hosted, linux, arm64, linux64, dotnet]
    steps:
      - name: Install packages
        run: apk add --no-cache git curl wget unzip bash nodejs npm

      - name: Checkout
        uses: actions/checkout@v4

      - name: Setup .NET
        uses: actions/setup-dotnet@v3
        with:
          dotnet-version: '10.0.x'

      - name: Restore dependencies
        run: dotnet restore ./CouchLog/CouchLog.sln

      - name: Build Linux x64
        run: dotnet publish ./CouchLog/CouchLog.sln -c Release -r linux-x64 --self-contained false -o ./artifacts/linux-x64

      - name: Upload Linux x64 artifact
        uses: actions/upload-artifact@v3
        with:
          name: linux-x64
          path: ./artifacts/linux-x64
